@import '../fonts/icomoon/style.css';

.bitbrew_sharedcart-account-index h1.page-title {
	margin-bottom: 40px;
}

.bitbrew_sharedcart-account-index aside.modal-popup.confirm .modal-footer {
	text-align: right;
}

.bitbrew_sharedcart-account-index aside.modal-popup.confirm .action-dismiss {
	display: none;
}

.bitbrew-sharedcarts th.asc a::after {
	content: " ▲";
	font-size: .8em;
}
.bitbrew-sharedcarts th.desc a::after {
	content: " ▼";
	font-size: .8em;
}

.bitbrew-sharedcarts td {
    align-content: center;
}

.bitbrew-sharedcarts tr.toggle-row {
    cursor: pointer;
	transition: all 300ms ease-in-out;
	border-top: 1px solid #ccc;
}

.bitbrew-sharedcarts tr.toggle-row:not(.open) {
    border-bottom: 1px solid #ccc;
}

.bitbrew-sharedcarts tr.toggle-row:hover {
    background: #eee;
}

.bitbrew-sharedcarts tr.toggle-row td:first-child::before {
    content: "❯";
    margin-right: 10px;
    display: inline-block;
}

.bitbrew-sharedcarts tr.toggle-row.open td:first-child::before {
    rotate: 90deg;
}

.bitbrew-sharedcarts .items {
    padding: 0 20px;
}

.bitbrew-sharedcarts .details-row > td {
    padding-left: 20px;
}

.bitbrew-sharedcarts .items-table {
    max-width: 620px;
}

.bitbrew-sharedcarts .items-table tr.item:not(:last-child) {
    border-bottom: 1px solid #ccc;
}

.bitbrew-sharedcarts .col.sku {
    width: 136px;
    box-sizing: border-box;
}

.bitbrew-sharedcarts .col.article-name {
    width: auto;
}

.bitbrew-sharedcarts .col.qty {
    width: 64px;
    box-sizing: border-box;
}

.bitbrew-sharedcarts .table-container {
    overflow: auto;
    padding-bottom: 15px;
    width: 100%;
    margin-bottom: 30px;
}

table.bitbrew-table {
    overflow: auto;
    width: 100%;
    min-width: 655px;
}

.bitbrew-table thead {
	border-bottom: 1px solid #ddd;
}

.bitbrew-table td.col.cart-id {
    width: 110px;
    box-sizing: border-box;
}

.bitbrew-table td.col .comment span {
	word-break: break-word;
}

.bitbrew-table thead th a {
	color: #2f60ac;
}

.bitbrew-sharedcarts .tab-buttons {
	display:flex;
	gap:1rem;
	margin-bottom: .75rem;
}

.bitbrew-sharedcarts .tab-button {
	cursor:pointer;
	font-size: 1.25rem;
	margin:0; padding:.25rem .5rem;
	border-bottom: 2px solid transparent;
}

.bitbrew-sharedcarts .tab-button.is-active {
	border-color: currentColor;
}

.bitbrew-sharedcarts .tab-content {
	display:none;
}

.bitbrew-sharedcarts .tab-content.is-active {
	display:block;
}

.bitbrew-sharedcarts hr.table-hr {
	margin-top: 0;
    /* box-shadow: -2px -2px 2px #dddddd; */
    border-color: #dddddd;
}

.bitbrew-sharedcarts .tab-buttons {
    height: 34px;
    padding-left: 30px;
    margin-bottom: -1px;
    display: flex;
    align-items: flex-end;
	gap: unset;
}

.bitbrew-sharedcarts .tab-button {
        border-radius: 5px 5px 0 0;
        background: #dddddd;
        border: 1px solid #dddddd;
        color: #565656;
        height: 32px;
        min-width: 32px;
        margin-right: 3px;
        box-sizing: border-box;
        padding: 7px 15px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
}

.bitbrew-sharedcarts .tab-button.is-active {
    /* box-shadow: -2px -2px 2px #dddddd; */
    background: #fff;
    border-bottom: none;
    color: #000;
    height: 34px;
    border-color: #ddd;
}

.bitbrew-table .status.taken {
	color: darkblue;
}

.bitbrew-table .status.shared,
.bitbrew-table .status.sharedcart,
.bitbrew-table .status.waiting {
	color: #999;
}

.bitbrew-table .status.ordered {
	color: #00c851;
}

.bitbrew-table .status.cancelled {
	color: red;
}

.bitbrew-table .status.rejected {
	color: orange;
}

.bitbrew-table .row-cancelled {
    opacity: 0.5;
}

.bitbrew-table .action.primary {
    display: flex;
    justify-content: center;
	margin-bottom: 8px;
	min-width: 165px;
}

.bitbrew-table .action-add-cart.is-loading {
    pointer-events: none;
    cursor: progress;
    opacity: 0.6;
}

.bitbrew-table .action.secondary {
    text-decoration: none;
    font-size: 14px;
    background: #ccc;
    display: flex;
    justify-content: center;
    padding: 5px 15px 3px;
    border: 1px solid #ccc;
	border-radius: 3px;
	transition: all 300ms ease-in-out;
	color: #565656;
	height: 34px;
    box-sizing: border-box;
    align-items: center;
}

.bitbrew-table .action.secondary:hover {
    background: #fff;
	color: #000;
}

.table-pager {
	display:flex;
	align-items:center;
    justify-content: center;
    margin-top: 20px;
}

.table-pager .controls {
	display: flex;
	align-items: center;
}

.pager-icon {
	font-size: 20px;
    padding: 8px;
    margin: 0 8px;
}

.table-pager .controls a {
	text-decoration: none;
}

.table-pager .controls .disabled {
	opacity: .2;
	cursor: default;
}

.table-pager .sep {
	margin: 0 .5rem;
}

.bitbrew-sharedcart-comment { white-space: normal; }

.bitbrew-sharedcarts td.comment {
    text-align: center;
    justify-items: center;
}

.bitbrew-sharedcarts th.comment-col {
	text-align: center;
}

.bitbrew-table button.action.secondary.action-view-comment {
    background: none;
    border: none;
    padding: 3px;
    font-size: 24px;
}

.bitbrew-table button.action.secondary.action-view-comment:hover {
    background: none;
}